/* grid.h */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/



#ifndef GRID_H
#define GRID_H 1


/*** load_dataset *****************************************************
   Load the dataset.
   Input:  gridfile - filename of the compressed grid file to load.
   Return:  1 = success, 0 = error.
**********************************************************************/
extern int load_dataset();
/*
char *gridfile;
*/



/*** get_grid *********************************************************
   Return a pointer to the uncompressed data for a 3-D grid.
   Input:  it, ip - time and parameter of grid wanted.
   Return:  pointer to data
**********************************************************************/
extern float *get_grid();
/*
int it, ip;
*/



extern int_1 *get_compressed_grid();
/*
int it, ip;
*/



/*** release_grid *****************************************************
   Release an uncompressed grid in the cache.
   Input:  time, parm - the timestep and parameter of the grid.
           data - the grid data returned by get_grid().
**********************************************************************/
extern void release_grid();
/*
int it, ip;
float *data;
*/


extern void release_compressed_grid();
/*
int it, ip;
*/



#endif


